## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMapKeyTraits< const XalanDOMChar *> Struct Template Reference

`#include <STLHelper.hpp>`

List of all members.

## Public Types

- typedef hash_null_terminated_arrays<
  XalanDOMChar> Hasher
- typedef equal_null_terminated_arrays<
  XalanDOMChar> Comparator

### template<> struct XalanMapKeyTraits< const XalanDOMChar *>

## Member Typedef Documentation

template<>
typedef equal_null_terminated_arrays< XalanDOMChar > XalanMapKeyTraits< const XalanDOMChar *>::Comparator<XalanDOMChar>

template<>
typedef hash_null_terminated_arrays< XalanDOMChar > XalanMapKeyTraits< const XalanDOMChar *>::Hasher<XalanDOMChar>

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.